%global npm_name mime-db

Summary:       Media Type Database
Name:          nodejs-%{npm_name}
Version:       1.19.0
Release:       1%{?dist}
License:       MIT
URL:           https://github.com/jshttp/mime-db
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
ExclusiveArch: %{nodejs_arches} noarch
BuildArch:     noarch
Provides:      nodejs-%{npm_name} = %{version}

%description
This is a database of all mime types. It consists of a single, public JSON file and does not include any logic, allowing it to remain as un-opinionated as possible with an API. It aggregates data from the following sources:

    http://www.iana.org/assignments/media-types/media-types.xhtml
    http://svn.apache.org/repos/asf/httpd/httpd/trunk/docs/conf/mime.types
    http://hg.nginx.org/nginx/raw-file/default/conf/mime.types

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr db.json index.js package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%files
%doc HISTORY.md LICENSE README.md
%{nodejs_sitelib}/%{npm_name}

%changelog
* Thu Oct 15 2015 Troy Dawson <tdawson@redhat.com> - 1.19.0-1
- Update to 1.19.0

* Fri Sep 11 2015 Troy Dawson <tdawson@redhat.com> - 1.18.0-1
- Initial package
